GDCM 3.2.1

Classes | Namespaces | Macros | Functions
gdcmEvent.h File Reference
`#include "gdcmTypes.h"`
Include dependency graph for gdcmEvent.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | gdcm::AbortEvent
class | gdcm::AnyEvent
class | gdcm::EndEvent
class | gdcm::Event
| superclass for callback/observer methods More...
class | gdcm::ExitEvent
class | gdcm::InitializeEvent
class | gdcm::IterationEvent
class | gdcm::ModifiedEvent
class | gdcm::NoEvent
class | gdcm::StartEvent
class | gdcm::UserEvent

## Namespaces
namespace | gdcm

## Macros
#define | gdcmEventMacro(classname, super)

## Functions
std::ostream & | gdcm::operator<< (std::ostream &os, const Event &e)
| Generic inserter operator for Event and its subclasses.

## Macro Definition Documentation

## ◆ gdcmEventMacro

#define gdcmEventMacro | ( |  | classname,
|  |  | super )

Value:
\
class classname : public super { \
public: \
typedef classname Self; \
typedef super Superclass; \
classname() {} \
virtual ~classname() override = default; \
virtual const char * GetEventName() const override { return #classname; } \
virtual bool CheckEvent(const ::gdcm::Event* e) const override \
{ return dynamic_cast<const Self*>(e) ? true : false; } \
virtual ::gdcm::Event* MakeObject() const override \
{ return new Self; } \
classname(const Self&s) : super(s){} \
private: \
void operator=(const Self&); \
}